package model

type User struct {
	Created     `xorm:"extends"`
	Id          string `xorm:"varchar(120) pk notnull" json:"id"`
	Username    string `xorm:"varchar(30) notnull" json:"username"`
	Password    string `xorm:"varchar(120) notnull" json:"-"`
	ResetNeeded bool   `xorm:"bool notnull" json:"resetNeeded"`
	Type        byte   `xorm:"smallint notnull" json:"type"`
	Enabled     bool   `xorm:"bool notnull" json:"enabled"`
}

func (User) TableName() string {
	return "user"
}
