package model

import "github.com/shopspring/decimal"

type WillDilutedFee struct {
	CreatedAndModified `xorm:"extends"`
	Id                 string          `xorm:"varchar(120) pk notnull" json:"id"`
	ReportId           string          `xorm:"varchar(120) notnull" json:"reportId"`
	Name               string          `xorm:"varchar(50) notnull" json:"name"`
	Fee                decimal.Decimal `xorm:"decimal(8,2) notnull" json:"fee"`
	Memo               string          `xorm:"text" json:"memo"`
}

func (WillDilutedFee) TableName() string {
	return "will_diluted_fee"
}
